<?php
namespace Claromentis\Core\DAL\MSSQL\NativeClient;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("_78aadcc2e8" . "dfecef37e1f" . "e6d5ffbcdbb" => base64_decode("c3Fsc3J2X2ZldGNoX2" . "FycmF5"), "_4ffb18fb" . "6d635e72f" . "8c4f2f7b0" . "88bfe5" => base64_decode("c3Fsc3J2X251bV9y" . "b3dz"), "_9a1d01ea56101db475f6e198f06a4" . "f9d" => base64_decode("c3Fsc3J2X2ZyZWV" . "fc3RtdA=="), "_c06c961f393742ecfd52b72263ac" . "9470" => base64_decode("aW50d" . "mFs"));
use Claromentis\Core\DAL;




class ResultClientBuffered implements DAL\ResultInterface
{
    protected $first;
    protected $cur_row;
    protected $stmt;
    public function __construct($_a606a2dcd236a549db0574a9c1675927, $_0e1e1540aa50c90f8f93a604b129857d = 0)
    {
        $this->first = $_0e1e1540aa50c90f8f93a604b129857d < 0 ? 0 : $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_c06c961f393742ecfd52b72263ac9" . "470"]($_0e1e1540aa50c90f8f93a604b129857d);
        $this->cur_row = 0;
        $this->stmt = $_a606a2dcd236a549db0574a9c1675927;
        if ($_a606a2dcd236a549db0574a9c1675927 === true) {
            return;
        }
    }
    public function fetchRow()
    {
        $data = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_78aadcc2e8dfecef37e" . "1fe6d5ffbcdbb"]($this->stmt, SQLSRV_FETCH_NUMERIC, SQLSRV_SCROLL_ABSOLUTE, $this->first + $this->cur_row++);
        
        
        return $data;
    }
    public function fetchArray()
    {
        $data = $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_78aadcc2e8dfecef3" . "7e1fe6d5ffbcdbb"]($this->stmt, SQLSRV_FETCH_ASSOC, SQLSRV_SCROLL_ABSOLUTE, $this->first + $this->cur_row++);
        
        
        return $data;
    }
    public function numRows()
    {
        $_6d60734c2a1ffa4412b7c7bea8ad3bac = $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_4ffb18fb6d635e72f8c" . "4f2f7b088bfe5"]($this->stmt);
        
        
        return $_6d60734c2a1ffa4412b7c7bea8ad3bac > $this->first ? $_6d60734c2a1ffa4412b7c7bea8ad3bac - $this->first : 0;
    }
    public function hasData()
    {
        
        
        
        return $this->numRows() > 0;
    }
    public function free()
    {
        if ($this->stmt) {
            $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_9a1d01ea56101db475f6e198f06a" . "4f9d"]($this->stmt);
            $this->stmt = null;
        }
        return true;
    }
    
    
    
    
    
    
    
    public function fetchAllValues()
    {
        return DAL\DbUtil::fetchAllValues($this);
    }
    public function __destruct()
    {
        $this->free();
    }
}